nav {

    &.horizontal-menu {

        ul {

            > li {
                display: table-cell;
                vertical-align: middle;
            }

            li {
                text-align: center;
                margin-left: -1px;
                position: relative;

                &:hover {
                    cursor: default;

                    // >: combina com somente o primeiro elemento na árvore do dom, isto é, não combina recursivamente
                    // o ul não pode ter overflow-x pois suprimirá os uls filhos
                    > ul {
                        display: block;
                    }
                }

                ul {
                    display: none;
                    position: absolute;
                    z-index: 1;
                    left: 0;
                    margin-left: -3px;
                    width: 98%;
                    top: 100%;

                    li {
                        width: 100%;
                        display: block;
                        height: initial !important;

                        &:first-of-type {
                            border-top: transparent !important;
                        }

                        &:hover
                            ul {
                                display: inline-block;
                            }

                        ul {
                            top: 0;
                            left: 100%;
                            margin-left: initial;

                            li
                                &:first-of-type {

                                    background: transparent !important;

                                    &:hover {
                                        // para se haver efetividade caso haja um efeito no li ao se passar o mouse
                                        background: initial !important;
                                    }

                                }

                        }

                    }

                }

            }

        }

    }

}
